Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009195Dwarf FortressDwarf Mode -- Petspublic2015-12-03 16:582016-02-15 13:06
Assigned ToToady One 
PlatformOSOS Version
Product Version0.42.01 
Target VersionFixed in Version0.42.03 
Summary0009195: Cats dying for no reason - alcohol poisoning?
DescriptionMy current fort has two cats that have both died for apparently no reason at all - there's no combat logs, and both are covered in vomit. Others on the forum have been having this issue and apparently it's due to alcohol poisoning? But cats aren't supposed to drink alcohol, so it's beyond me how they're doing so. There's no cause for a syndrome to be doing this either, I'm in a neutral biome and no Forgotten Beasts have appeared yet.

Also of note is that the second cat that died was completely restricted to a food stockpile with drinks disabled - there's no way for it to have gotten access to drink unless they're deliberately running out to get it.
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0009270resolvedDwarfu Tavern Keepers Serve Drinks to Animals potentially causing inebriation and death 

-  Notes
Talvieno (reporter)
2015-12-03 22:53
edited on: 2015-12-03 23:14

Can confirm that this exists, have lost several cats to it. Interestingly, cats appear to be the only animal affected.

Edit: One of my cats just got in a drunken drawl with one of my masons. Didn't end so well for the cat, for obvious reasons.

Tzalizkan (reporter)
2015-12-05 02:51

Could it be perhaps that booze is spilling onto the cats and they are cleaning themselves?
Talvieno (reporter)
2015-12-07 06:21

We need a save for this one - specifically at a time where the cats are all dying at once from whatever it is.
DeKaFu (reporter)
2015-12-07 08:03

Cats have a self-cleaning interaction that contains the [IE_SYNDROME_TAG:SYN_INGESTED] tag... So I think Tzalizkan may be right. They might be walking through spilled alcohol, licking it off their fur and ingesting the drunkenness syndrome. Toady also said alcohol effects are related to body size, so it theoretically wouldn't take much to do them in.

Haven't made a tavern yet myself, but does alcohol routinely end up on the floor?
Orkel (reporter)
2015-12-07 09:02

Seems like another great example of Dwarf Fortress's countless game mechanics interacting with eachother in unexpected ways. Just the way I like my bugs.
Talvieno (reporter)
2015-12-07 11:13
edited on: 2015-12-07 11:31

Gotta say I don't mind the drunken brawls - they're kind of funny - but the cat massacre I could do without.

But apparently, yes - it's not a bug, it's a feature!

Bumber (reporter)
2015-12-07 16:38

Kind of odd they'd be allowed to ingest coatings, considering they're not sufficient to quench thirst. Does licking a coating of booze on one's equipment in adv mode give you the alcohol toxicity equivalent of an entire serving? Is the cat grooming action handled differently?
BenLubar (reporter)
2015-12-07 19:46

I saw a cat suffocating and dizzy in the hallway one floor below the tavern. I hope autopsies are eventually one of the research things from the library.
Toady One (administrator)
2015-12-08 14:43

I've reduced the effect of syndromes from ingesting body coverings. It was like the cat was drinking an entire mug of beer (which would likely kill it). I'm not going to mark this as resolved until we get some player tests in with the next version though, since I'm not sure it's the only cause.
Dwarfu (manager)
2015-12-08 15:02

Confirming so we can keep an eye on it.
Button (reporter)
2016-02-03 10:20

This seems to have been successfully fixed.

- Issue History
Date Modified Username Field Change
2015-12-03 16:58 FortunaDraken New Issue
2015-12-03 22:53 Talvieno Note Added: 0033366
2015-12-03 23:14 Talvieno Note Edited: 0033366 View Revisions
2015-12-05 02:51 Tzalizkan Note Added: 0033449
2015-12-05 08:13 BenLubar Issue Monitored: BenLubar
2015-12-05 08:33 Talvieno Issue Monitored: Talvieno
2015-12-07 06:21 Talvieno Note Added: 0033574
2015-12-07 08:03 DeKaFu Note Added: 0033576
2015-12-07 09:02 Orkel Note Added: 0033577
2015-12-07 11:13 Talvieno Note Added: 0033590
2015-12-07 11:31 Talvieno Note Edited: 0033590 View Revisions
2015-12-07 16:38 Bumber Note Added: 0033614
2015-12-07 17:25 Button Issue Monitored: Button
2015-12-07 19:46 BenLubar Note Added: 0033617
2015-12-08 14:43 Toady One Note Added: 0033644
2015-12-08 15:02 Dwarfu Note Added: 0033648
2015-12-08 15:02 Dwarfu Assigned To => Dwarfu
2015-12-08 15:02 Dwarfu Status new => confirmed
2015-12-08 18:48 Dwarfu Relationship added has duplicate 0009270
2016-02-03 10:20 Button Note Added: 0034595
2016-02-15 13:06 Toady One Status confirmed => resolved
2016-02-15 13:06 Toady One Fixed in Version => 0.42.03
2016-02-15 13:06 Toady One Resolution open => fixed
2016-02-15 13:06 Toady One Assigned To Dwarfu => Toady One
2016-02-16 10:42 Button Issue End Monitor: Button

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker